package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbRiskCheckMonthlyEntity;
import com.ruoyi.web.v3.model.request.HbRiskCheckMonthlyPageReq;

/**
 * <p>
 * v3.0 隐患风险点检记录（日次） 服务类
 * </p>
 */
public interface IHbRiskCheckMonthlyService extends IService<HbRiskCheckMonthlyEntity> {

    AjaxResult add(HbRiskCheckMonthlyEntity request);

    AjaxResult edit(HbRiskCheckMonthlyEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbRiskCheckMonthlyPageReq request);

    AjaxResult listAll();
}
